import requests
from bs4 import BeautifulSoup
from ratelimit import limits, sleep_and_retry

from shared import suffix_parser

@sleep_and_retry
@limits(calls=50,
        period=1)  # Allows 50 requets within 1 second; sleep till the request period has ellapsed and then retry
def find_mr_and_metadata(author, title, suffix):
    first_page, last_page = suffix_parser.get_page_range_from_suffix(suffix)
    year = suffix_parser.get_publication_year_from_suffix(suffix)

    return "",""


def check_access_to_advanced_search():
    html_text = requests.get("https://mathscinet.ams.org/mathscinet/search/publications.html?pg4=AUCN&s4=Fučík+S*&co4=AND&pg5=TI&s5=Solvability+of+nonlinear+equations+and+boundary+value+problems&co5=AND&pg6=PC&s6=&co6=AND&pg7=ALLF&s7=&co7=AND&dr=pubyear&yrop=eq&arg3=&yearRangeFirst=&yearRangeSecond=&pg8=ET&s8=All&review_format=html&Submit=Search").text
    soup = BeautifulSoup(html_text, features="lxml")

    access = soup.find("title").text
    if access == "MathSciNet Access Error":
        return False
    return True
